#
# spec file for package blabel
#
# Copyright (c) 2016 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

Name:           blabel
Version:        0.07
Release:        pm152.2.1
Summary:        Labeling program for the Brother P-touch series
License: GPL-2.0
Group:          Productivity/Graphics/Other
Url:            http://apz.fi/blabel
Source0:        http://apz.fi/blabel/blabel007.tar.bz2
BuildRequires:  update-desktop-files
Requires:       cups-client
Requires:       perl-GD
Requires:       perl-Gtk2
Requires:       perl-Gtk2-GladeXML
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A Labeling program for the Brother P-touch series.

Supports PT-1230PC and PT-2430PC partially (only up
to 12mm tapes, no auto cutting yet).

Currently only tested with 9mm and 12mm tapes.
Hardcoded to only work with CUPS.
No graphics printing. 

%prep
%setup -q -n %{name}

%build

%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_mandir}/man1 \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/pixmaps
install -m0755 %{name} -t %{buildroot}%{_bindir}
install -m0644 man/man1/%{name}.1.gz -t %{buildroot}%{_mandir}/man1
install -m0644 %{name}.desktop -t %{buildroot}%{_datadir}/applications
install -m0644 %{name}.glade -t %{buildroot}%{_datadir}/%{name}
install -m0644 %{name}.png -t %{buildroot}%{_datadir}/pixmaps
%suse_update_desktop_file %{name} 2DGraphics

%files
%defattr(-,root,root,-)
%doc doc/README
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jun  9 2016 aloisio@gmx.com
- Initial version
